header
{
    z-index: 10;
    width: 100%;
    max-width: 100%;
    display: -ms-grid;
    display: grid;
    padding: 1em;
    background-color: rgba(255, 255, 255, 0.8);
    -ms-grid-columns: 200px 1fr 500px;
    grid-template-columns: 200px auto 500px;
}

header img
{
    -ms-grid-column: 1;
    grid-column: 1;
    -ms-grid-row-align: center;
        align-self: center;
    -ms-grid-column-align: center;
        justify-self: center;
}

nav
{
    -ms-grid-column: 3;
    grid-column: 3;
    -ms-grid-row-align: center;
        align-self: center;
    -ms-grid-column-align: center;
        justify-self: center;
}

nav a 
{
    font-size: 1.3em;
    font-weight: 600;
    padding: 0 0.5em; /*150px*/
    color: rgb(0, 0, 0, 0.6);
}

nav a.current
{
    color: rgb(0, 0, 0, 1);
}

nav a:hover
{
    color: rgb(0, 0, 0, 0.9);
    cursor: pointer;
}

.burger { -ms-grid-column: 2; }

/*****************/
/* Media Queries */
/*****************/

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (max-width: 768px) 
{
    header.nav-active
    {
        position: fixed;
        height: 100vh;
        width: 100%;
        -ms-grid-columns: none;
        grid-template-columns: none;
        -ms-grid-rows: 100px auto;
        grid-template-rows: 100px auto;
        background-color: rgba(255, 255, 255, 1.0);
    }
    header.nav-active > *:nth-child(1)
    {
        -ms-grid-row: 1;
        -ms-grid-column: 1;
    }
    header.nav-active > *:nth-child(2)
    {
        -ms-grid-row: 2;
        -ms-grid-column: 1;
    }
    
    header
    {
        -ms-grid-rows: 100px;
        grid-template-rows: 100px;
        height: auto;
        background-color: rgba(255, 255, 255, 0.8);
    }
    
    header nav
    {
        display: none;
    }
    
    header img
    {
        height: 100px;
    }
    
    header.nav-active nav
    {
        display: block;
        -ms-grid-column: 1;
        grid-column: 1;
        -ms-grid-row: 2;
        grid-row: 2;
    }
    
    nav li
    {
        text-align: center;
        list-style-type: none;
        display: list-item;
        padding: 2em 0;
    }
    
    .burger
    {
        position: absolute;
        top: 50px;
        right: 30px;
        cursor: pointer;
    }

    .burger div
    {
        width: 25px;
        height: 3px;
        background-color: black;
        margin: 5px;
        -webkit-transition: all 0.3s ease;
        -o-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }
    
    .clicked .line-one
    {
        -webkit-transform: rotate(-45deg) translate(-5px, 6px);
            -ms-transform: rotate(-45deg) translate(-5px, 6px);
                transform: rotate(-45deg) translate(-5px, 6px);
    }

    .clicked .line-two
    {
        opacity: 0;
    }

    .clicked .line-three
    {
        -webkit-transform: rotate(45deg) translate(-5px, -6px);
            -ms-transform: rotate(45deg) translate(-5px, -6px);
                transform: rotate(45deg) translate(-5px, -6px);
    }
}